Skip to navigation

Create a Node Pool.

Deprecated
View as Markdown

Use to create a node pool in a cluster by Universally Unique Identifier (UUID). Deprecated, please use /api/v1/node-pools instead.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterIdstringRequiredformat: "uuid"
Unique identifier of the cluster

Request

This endpoint expects an object.
namestringOptional
Node Pool Name
labelKeystringOptional

Label key for associated nodes to the Node Pool (with value as in labelValue)

labelValuestringOptional

Label value for associated nodes to the Node Pool (with key as in labelKey)

placementStrategyobjectOptional
overProvisioningRatiointeger or nullOptionalDeprecated

Response

Created

Errors

400
Bad Request Error
409
Conflict Error